\name{getHTTPContent}
\alias{getHTTPContent}
\title{Process raw HTTP header in S object}
\description{
  This takes the lines read from an HTTP connection
  and splits them into the header information
  and the content/payload.
  It organizes the header information into
  a list of name-value pairs
  corresponding to the \code{name: value}
  liness.
  The first line typicall gives the status
  information and that is split into
  a status value (an integer) and
  a status message and put into the resulting
  table.
  
  And it combines the content lines into a single string.
}
\usage{
getHTTPContent(lines)
}

\arguments{
  \item{lines}{a character vector of the individual lines,
    usually obtained by reading from an HTTP
    socket connection (\code{\link[base]{socketConnection}})
    using \code{\link[base]{readLines}}.
  }
}
\value{
  \item{header}{a named character vector giving
    the name-value pairs from the HTTP header.
    The status line  which is not of the form \code{name: value}
  }
  \item{content}{a string giving the content returned from the HTTP connection.}
}
\references{
  \url{http://www.w3.org/TR/SOAP/}
  \url{http://www.omegahat.org/SSOAP},
  \url{http://www.omegahat.org/bugs}.
}
\author{Duncan Temple Lang <duncan@research.bell-labs.com>}


\seealso{
  \code{\link{.SOAP}}
}

\examples{
}

\keyword{interface}
\keyword{connection}
