\name{isHTTPError}
\alias{isHTTPError}
\title{Determines if an error occurred in an HTTP communication}
\description{
  This examines the HTTP header information
  (computed using \code{\link{getHTTPContent}})
  and determines if there was an  error
  reported from the server.
}
\usage{
isHTTPError(response)
}
\arguments{
  \item{response}{the header information computed from \code{\link{getHTTPContent}}}
}
\details{
  This just looks at the \code{status}
  entry and compares it to
  the value 200.
}
\value{
  A logical value indicating whether
  there was an error or not
}
\references{
  \url{http://www.w3.org/TR/SOAP/}
  \url{http://www.omegahat.org/SSOAP},
  \url{http://www.omegahat.org/bugs}.
}
\author{Duncan Temple Lang <duncan@research.bell-labs.com>}


\seealso{
  \code{\link{.SOAP}}
  \code{\link{getHTTPContent}}
}

\examples{

}
\keyword{interface}
\keyword{connection}
