\name{processWSDL}
\alias{processWSDL}
\title{Read and process a Web Service Description Language file}
\description{
  This reads and converts a WSDL file for a server
  into a collection of functions and methods.
}
\usage{
processWSDL(fileName = "KEGG.wsdl")
}
\arguments{
  \item{fileName}{the name of the WSDL file or URI.}
}
\details{

}
\value{
   An object of class \code{\link{SOAPServerDescriptions}}.
}

\author{Duncan Temple Lang <duncan@research.bell-labs.com>}
\seealso{
}

\examples{
  tmp = processWSDL(system.file("examples", "KEGG.wsdl", package = "SSOAP"))

  ff = genSOAPClientInterface(tmp@operations[[1]], def = tmp, tmp@name, verbose=FALSE)

   o = tmp@operations[[1]][[1]]@parameters[[3]]

#  ff$functions$getAllNeighborsByGene(kid="eco:b0002", threshold= as.integer(500), orgs = c("ecs","ypk"), .debug = TRUE)
   x = ff$functions$getParalogsByGene("eco:b0002", 100)
   tp = get(".operation", environment(ff$functions$getParalogsByGene))@returnValue



  tmp = processWSDL(system.file("examples", "XMethodsFilesystemService.wsdl.xml", package = "SSOAP"))

}
\keyword{interface}
\keyword{connection}


